Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » Servers & Services » Ubuntu+Apache+Python+PHP+PostgreSQL
Тема: Ubuntu+Apache+Python+PHP+PostgreSQL
Мнение #1 Skip to the next post in this topic.
Написано на: Май 04 2006, 21:06
Firestorm_1

No avatar chosen




Група: Li fans
Мнения: 38
Регистриран: Септември 2005

Оценка: няма

Offline
Много обемен въпрос ама просто вече квото и да чета нишо не зацепвам. Та дистрибуцията е Убунту. Apache -то и php5 ги слагам (с apt-get) настройвам си къде да ми е document root-a и после като тръгна да отварям някой index файл, firefox не ми го отваря ами ми изкарва save dialog-a. Тва като за начало как да го направя... След това трябват ли някакви допълнителни настройки за php???

Къде да укажа на Apache къде ми е папката с Python скриптовете...

postgresql го слагам също с apt-get, обаче то после отказва да ми създаде база данни, защото съм нямал юзър с права, как да създам такъв юзър?

Сори за обемния въпрос ама нещо не мога да се оправя...
Контакти:  Firestorm_1
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Май 05 2006, 09:38
mcwolf

No avatar chosen




Група: Li gurus
Мнения: 1489
Регистриран: Април 2005

Оценка: 5

Offline
предполагам че инсталираш само приложенията (www сървърът, sql сървърът, php-то ...) това е само началото - след това трябва да ги свържеш да работят заедно

ако ще ползваш apt за целта трябва да си инсталираш и съответните модули - за да видиш всичко което е налично за apache ползвай командата
Код: 
apt-cache search apache

за да видиш например само наличните модули за php прекарай изходът от горното през grep
Код: 
apt-cache search apache | grep php

както виждаш ти трябва това
Код: 
libapache2-mod-php5 - server-side, HTML-embedded scripting language (apache 2.0 module)


по същият начин процедираш и при свързването на php-то със sql сървърът
Код: 
apt-cache search php | grep PostgreSQL

и си избираш необходимият пакет
Код: 
php5-pgsql - PostgreSQL module for php5

не е сложно :)

(имай в предвид че имената на пакетите свършват при първата шпация - останамото е коментар) всичко това можеш да направиш и през някой от графичните интерфейси към apt ма на мен не ми харесват много много :) освен това се съобразявай със версийте на сървърите който си инсталирал - горното е за apache2 и php5


Редактирано от mcwolf на Май 05 2006, 09:39
Контакти:  mcwolf

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Май 05 2006, 22:06
Firestorm_1

No avatar chosen




Група: Li fans
Мнения: 38
Регистриран: Септември 2005

Оценка: няма

Offline
apache -то и php - то ги оправих... Обаче postgresql нещо ми се опъва... Как да му укажа че моя юзър има права да създава БД??? createuser не става и стс sudo...
Контакти:  Firestorm_1
WEB  
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Май 05 2006, 23:46
quintessence

Avatar




Група: Li psychos
Мнения: 813
Регистриран: Август 2005

Offline
http://openacs.org/doc/openacs-5-1/postgres.html - секция 4
Контакти:  quintessence

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #5 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Май 06 2006, 13:37
Firestorm_1

No avatar chosen




Група: Li fans
Мнения: 38
Регистриран: Септември 2005

Оценка: няма

Offline
уф сега пък как да създам role

could not connect to database postgres: FATAL:  role "root" does not exist
Контакти:  Firestorm_1
WEB  
Мнение #6
Skip to the previous post in this topic. Написано на: Май 07 2006, 11:18
Firestorm_1

No avatar chosen




Група: Li fans
Мнения: 38
Регистриран: Септември 2005

Оценка: няма

Offline
Оправих се с postgre - то ;) Намерих една статия

http://oakley.bioinformaticsonline.co.uk/archive....updated

Ето ак онякой за в бъдеще му потрябва...
Контакти:  Firestorm_1
WEB  
Общо 5 отговор(а) от Май 04 2006, 21:06 до сега
 » Начало » Li Форуми » Help & Support » Servers & Services » Ubuntu+Apache+Python+PHP+PostgreSQL

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums